__IF_EXISTS__
SELECT 1
  FROM CI_UT_INSTL_DTL
WHERE SCRIPT_FILE_NAME = 'FW45010_POSTDATA_UGBUPD-1185.SQL'
   AND END_DTTM IS NOT NULL
/
__THEN__
__EXIT__
__ENDIF__

UPDATE F1_CRYPTO_KEY_RING SET KEY_RING_CAT_FLG  = 'F1IN'  WHERE KEY_RING_CLASS_FLG='F1SG' AND TRIM(KEY_RING_CAT_FLG) IS NULL
/

UPDATE F1_CRYPTO_KEY_RING SET KEY_RING_CAT_FLG  = 'F1EX'  WHERE KEY_RING_CLASS_FLG='F1OA' AND TRIM(KEY_RING_CAT_FLG) IS NULL
/

__IF_EXISTS__
SELECT 1  FROM USER_TABLES WHERE TABLE_NAME = 'F1_CRYPTO_KEY_RING_LINK'
/
__THEN__
DROP TABLE F1_CRYPTO_KEY_RING_LINK
/
__ELSE__
__ENDIF__